> For the complete documentation index, see [llms.txt](https://developers.term.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.term.finance/term-finance-protocol/term-repo/term-auction-group.md).

# Term Auction Group

The Term Auction group of contracts contain the logic to handle and process bid and offer submissions, determine an auction clearing price, and to settle and clear a Term Auction. The relationship between the Term Auction Group and the Term Servicer group is many to one. There can be multiple Term Auctions that settle into a single set of contracts belonging to the same Term Servicer Group with the same terms and conditions.

{% content-ref url="/pages/7QPq97l187m3Zrh7mGvo" %}
[Initialization Parameters](/term-finance-protocol/term-repo/term-auction-group/initialization-parameters.md)
{% endcontent-ref %}

{% content-ref url="/pages/deauiUmcrggiBKhitrMD" %}
[Administrative Functions](/term-finance-protocol/term-repo/term-auction-group/administrative-functions.md)
{% endcontent-ref %}

<table><thead><tr><th width="324.3333333333333">Contract</th><th>Key Functions</th><th data-hidden></th></tr></thead><tbody><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermAuction.sol"><mark style="color:yellow;"><code>TermAuction.sol</code></mark></a></td><td><mark style="color:yellow;">Manages the clearing, settlement and minting of Term Tokens at the conclusion of a Term Auction</mark></td><td></td></tr><tr><td></td><td><a href="/pages/YlhqiAfOxtv0l5sUeDRN#completeauction"><code>completeAuction</code></a>: public function that settles and clears an auction and mints term repo tokens to lenders who are assigned a loan in auction given a clearing rate and arrays of validly submitted bids and offers</td><td></td></tr><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermAuctionBidLocker.sol"><mark style="color:yellow;"><code>TermAuctionBidLocker.sol</code></mark></a></td><td><mark style="color:yellow;">Manages Term Auction bid submissions (to borrow)</mark></td><td></td></tr><tr><td></td><td><a href="/pages/K30Bq9qxsM6pEdqMR7rh#lockbids"><code>lockBids</code></a>: callable by participants to tender or submit sealed or hashed auction bids</td><td></td></tr><tr><td></td><td><a href="/pages/K30Bq9qxsM6pEdqMR7rh#unlockbids"><code>unlockBids</code></a>: callable by participants to cancel sealed or hashed auction bids</td><td></td></tr><tr><td></td><td><a href="/pages/K30Bq9qxsM6pEdqMR7rh#revealbids"><code>revealBids</code></a>: public function to reveal sealed or hashed bid prices</td><td></td></tr><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermAuctionOfferLocker.sol"><mark style="color:yellow;"><code>TermAuctionOfferLocker.sol</code></mark></a></td><td><mark style="color:yellow;">Manages Term Auction offer submissions (to lend)</mark></td><td></td></tr><tr><td></td><td><a href="/pages/SzYjOft5j7hW20tDTVLY#lockoffers"><code>lockOffers</code></a>: callable by participants to tender or submit a sealed or hashed auction offer</td><td></td></tr><tr><td></td><td><a href="/pages/rocc595kL89fSccUnO93#unlockoffers"><code>unlockOffers</code></a>: callable by participants to cancel a sealed or hashed auction offer</td><td></td></tr><tr><td></td><td><a href="/pages/rocc595kL89fSccUnO93#revealoffers"><code>revealOffers</code></a>: public function to reveal sealed or hashed offer prices</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.term.finance/term-finance-protocol/term-repo/term-auction-group.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
